> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Current User

> Retrieves basic information about the Rippling user whose access token you're using. This is generally used for the SSO flow.



## OpenAPI

````yaml get /platform/api/me
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/me:
    parameters: []
    get:
      tags:
        - E. Current User
      summary: GET Current User
      description: >-
        Retrieves basic information about the Rippling user whose access token
        you're using. This is generally used for the SSO flow.
      operationId: get-me
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Authenticated-User-Me'
              examples:
                Success:
                  value:
                    id: 5ec5595dfa9c4e1728118d11
                    workEmail: cpitt+2@rippling.com
                    company: 5ec5595afa9c4e1728118cb5
      security:
        - Token: []
components:
  schemas:
    Authenticated-User-Me:
      title: Authenticated-User-(Me)
      type: object
      description: >-
        Information about the Rippling user whose token is being used to access
        Rippling's API.
      properties:
        id:
          type: string
          description: Unied identifier of the user (likely an admin).
        workEmail:
          type: string
          description: Work email of the user.
        company:
          type: string
          description: Unique identifier of the company.
      x-examples:
        Success:
          id: 5ec5595dfa9c4e1728118d11
          workEmail: cpitt+2@rippling.com
          company: 5ec5595afa9c4e1728118cb5
      x-tags:
        - Models
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````